#
# spec file for package libpng (Version 2.1.0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libpng
%define source_version 1.0.12
Copyright:    distributable
Group:        System Environment/Libraries
Provides:     libpng 
URL:          http://www.libpng.org/pub/png/libpng.html
Autoreqprov:  on
Version:      2.1.0.12
Release:      39
Summary:      Library for the PortableNetGraphics Format
Source: ftp://swrinde.nde.swri.edu/pub/png/src/libpng-%{source_version}.tar.gz
Patch: libpng-%{source_version}-setjmp.dif
Patch1: libpng-%{source_version}-makefile.dif
BuildRoot:    /var/tmp/%{name}-build

%description
libpng is the official PNG reference library.

Authors:
--------
    Andreas Dilger <adilger@enel.ucalgary.ca>

SuSE series: gra

%prep
%setup -n libpng-%{source_version}
%patch
%patch1
cp scripts/makefile.gcmmx Makefile

%build
%ifarch i386
NO_ASSEMBLER_CODE=
%else
NO_ASSEMBLER_CODE="-DPNG_NO_ASSEMBLER_CODE"
%endif
# We'll never use the old pgcc-2.95.1 with the buggy -O3, so having
# the -O3 that is originally used should work.
# Substitute the -O2 to -O3 because I'm not sure if simply appending
# it will preserve(not override) the detailed opt flags used in RPM_OPT_FLAGS:
make "OPTFLAGS=$NO_ASSEMBLER_CODE `echo $RPM_OPT_FLAGS|sed 's/-O2/-O3/'`"
./pngtest
if [ "`./pngtest | tail -1`" != "libpng passes test" ]; then
	echo pngtest failed!
	exit 1
fi

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man3,man5}
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir}
chmod a+x $RPM_BUILD_ROOT/usr/lib/libpng.so.*

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%doc CHANGES README TODO libpng.txt
/usr/include/png.h
/usr/include/pngconf.h
/usr/lib/libpng.a
/usr/lib/libpng.so.*
/usr/lib/libpng.so
%doc %{_mandir}/man3/libpng.3.gz
%doc %{_mandir}/man3/libpngpf.3.gz
%doc %{_mandir}/man5/png.5.gz

%changelog -n libpng
* Tue Jul 17 2001 - nadvornik@suse.cz
- update to 1.0.12
* Tue Apr 03 2001 - nadvornik@suse.cz
- update to 1.0.10
- used pnggccrd.c - MMX support on intel
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 1.0.9
* Fri Jan 19 2001 - bk@suse.de
- call pngtest program to have some tests that libpng works.
- don't remove -O3 when adding RPM_OPT_FLAGS(still do -O3 optimisations)
* Thu Jan 04 2001 - nadvornik@suse.cz
- changed rpm version to 2.1.0.8 (bug #5062)
- changed shared library name to libpng.so.2.1.0.8
* Wed Aug 23 2000 - nadvornik@suse.cz
- update to 1.0.8
* Tue Jul 11 2000 - adrian@suse.de
- seg fault fix in pngrutil.c
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
- changed URL
* Sat Apr 29 2000 - kukuk@suse.de
- Make sure libpng.so.2 is linked against libz to avoid problems
  with missing dependencies.
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Tue Apr 04 2000 - nadvornik@suse.cz
- update to 1.0.6
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- update to 1.0.5
- manpages to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- moved from /usr/X11R6 to /usr
* Mon Jun 28 1999 - ro@suse.de
- update to 1.0.3
* Wed Feb 17 1999 - ro@suse.de
- added .so.2 link
* Fri Jan 22 1999 - ro@suse.de
- bump version to 2.1.0 (the version of the installed library)
* Fri Mar 20 1998 - ro@suse.de
- extracted package from libgr tree
  update to version 1.0.1
